// Copyright: See COPYING file that comes with this distribution
//
// Original Author: Ewald R. de Wit
// From Qt-Interest mailing list
// http://lists.trolltech.com/qt-interest/1999-07/thread00400-0.html
//
// (c) 2012 Timothy Pearson <kb9vqf@pearsoncomputing.net>

#ifndef FLOATSPINBOX_H
#define FLOATSPINBOX_H

#include <tqstring.h>
#include <tqspinbox.h>

class FloatSpinBox : public TQSpinBox
{
	Q_OBJECT

	public:
		FloatSpinBox(TQWidget *parent = 0, const char* name = 0);
		FloatSpinBox(double min, double max, double value, TQWidget *parent = 0);
		~FloatSpinBox();

		void init(double min, double max, double value, int precision=-1);
		void setFloatMin(double min);
		void setFloatMax(double max);
		void setPrecision(int precision);

	private:
		int dec;
		virtual TQString mapValueToText(int value);
		virtual int mapTextToValue(bool * ok);

	public slots:
		void setFloatValue(double d);

	private slots:
		void acceptValueChanged(int value);

	signals:
		void floatValueChanged(double value);

	private:
		double min;
		double max;
		double value;
};

#endif // FLOATSPINBOX_H